aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat/onap-rke/scripts/cleanup.sh
diff options
context:
space:
mode:
authorGary Wu <gary.i.wu@huawei.com>2019-03-26 13:08:29 -0700
committerGary Wu <gary.i.wu@huawei.com>2019-03-26 14:55:16 -0700
commit950a3237302a9cc5040354083099bce42e8f2436 (patch)
tree27a60f3dcd083193ec66700689624de8c4461829 /deployment/heat/onap-rke/scripts/cleanup.sh
parent54a0cae5a7d672285a02c64e1f98baa9b221a6f7 (diff)
First draft of k8s deployment using RKE
Change-Id: Ifa0eb52b64438df64692aaf58b9ef8e5dd7fd32c Issue-ID: INT-993 Signed-off-by: Gary Wu <gary.i.wu@huawei.com>
Diffstat (limited to 'deployment/heat/onap-rke/scripts/cleanup.sh')
-rwxr-xr-xdeployment/heat/onap-rke/scripts/cleanup.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/deployment/heat/onap-rke/scripts/cleanup.sh b/deployment/heat/onap-rke/scripts/cleanup.sh
new file mode 100755
index 000000000..7c2a1e29f
--- /dev/null
+++ b/deployment/heat/onap-rke/scripts/cleanup.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+IFS='
+'
+
+if [ -z $1 ]; then
+ echo "ONAP component name missing"
+ echo "Usage: ./cleanup.sh onap_component_name"
+ exit 1
+fi
+
+COMPONENT=$1
+
+if [ $COMPONENT == "dcae" ] || [ $COMPONENT == "DCAE" ]; then
+ kubectl delete service consul -n onap
+fi
+
+for op in secrets configmaps pvc pv services deployments statefulsets clusterrolebinding; do
+ ARRAY=(`kubectl get $op -n onap | grep dev-$COMPONENT | awk '{print $1}'`)
+ for i in ${ARRAY[*]}; do
+ kubectl delete $op -n onap $i
+ done
+done